<?php
// $Id: mydownloads_reste.php,v 1.3 2006/02/17 04:17:32 niluge_kiwi Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //
// Author: Raul Recio (AKA UNFOR)                                            //
// Project: The XOOPS Project                                                //
// ------------------------------------------------------------------------- //


// Cr par Niluge_Kiwi
// v 1.3 2006/04/09 22:38:37
// ========================================================================= //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//

function b_mydownloads_reste_show($options) {

include_once XOOPS_ROOT_PATH.'/modules/mydownloads/include/limite_functions.php';
global $xoopsUser, $xoopsModuleConfig;

checkMyDownloadsDay();

//Si anonyme on ne fait rien ( vite les ventuels plantages ;-) )
if (!$xoopsUser) 
{
	return '';
} 

checkLog();

$limite = $xoopsModuleConfig['limitnumber'];
$limitdl = $xoopsModuleConfig['limitdl'];

$uid = $xoopsUser->getVar('uid');
$count = MyDownloadsUserStats($uid);
if ($count == -1) $count = 0;

$block = array();



if ($limitdl == 1) {

	$text = array();

	$text['1'] = _MD_MC_RESTE1;
	$text['2'] = _MD_MC_RESTE2;
	$text['9'] = _MD_MC_RESTE9;
	$text['13'] = _MD_MC_RESTE13;

	$block['usernolimited'] = checkGroupNoLimited();
	$uid = $xoopsUser->getVar('uid');
	$block['user'] = checkMultiCompte($uid);
	$block['actif'] = 1;
	$block['utilise'] = $count;
	$block['reste'] = $limite - $count;
	$block['limite'] = $limite;

	if ($options[0] == 0) {
		$block['image'] = 0;
		$text['3'] = _MD_MC_RESTE3;
		$text['4'] = _MD_MC_RESTE4;
		$text['5'] = _MD_MC_RESTE5;
		$text['6'] = _MD_MC_RESTE6;
		$text['7'] = _MD_MC_RESTE7;
		$text['8'] = _MD_MC_RESTE8;
	}
	else {
		$block['image'] = 1;
		$block['large'] = $count * 100 / $limite;
		$block['large2'] = 100 - $block['large'];
		$text['10'] = _MD_MC_RESTE10;
		$text['11'] = _MD_MC_RESTE11;
		$text['12'] = _MD_MC_RESTE12;
	}

	$block['text'] = $text;
}

return $block;
}

function b_mydownloads_reste_edit($options) {

	$form = _MB_MYDOWNLOADS_LIMIT.'&nbsp;';
	$chk   = "";
	if ($options[0] == 1) {
		$chk = " checked='checked'";
	}
	$form .= "<input type='radio' name='options[0]' value='1'".$chk." />"._YES."&nbsp;";
	$chk   = "";
	if ($options[0] == 0) {
		$chk = " checked='checked'";
	}
	$form .= "<input type='radio' name='options[0]' value='0'".$chk." />"._NO."";
	return $form;
}
?>