<?php
// $Id: mydownloads_top.php,v 1.8 2003/03/28 04:04:50 w4z004 Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

/******************************************************************************
 * Function: b_mydownloads_top_show
 * Input   : $options[0] = date for the most recent downloads
 *                    hits for the most popular downloads
 *           $block['content'] = The optional above content
 *           $options[1]   = How many downloads are displayes
 * Output  : Returns the most recent or most popular downloads
 ******************************************************************************/
 
// Ajouts et Modifications par Niluge_Kiwi
// v 1.4 2006/07/28 02:39:34
// ======================================================================== //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//

function checkPer($groupid, $usersid) 
{
	global $xoopsUser;

	if (!$xoopsUser) 
	{
		$grps = array(XOOPS_GROUP_ANONYMOUS);
		$uid=null;
	} 
	else 
	{
		$grps = array_merge( $xoopsUser->getGroups(), XOOPS_GROUP_ANONYMOUS);
		$uid = $xoopsUser->getVar('uid');
	}
	$groupid = explode(" ", $groupid);
	for ($i=0; $i<count($groupid); $i++) 
	{
		if (@in_array($groupid[$i], $grps))
		{
			return true;
		}
	}
	
	//Correction bug accs anonyme anonyme
	if ($uid != null)
	{
		$usersid = explode(" ", $usersid);
		for ($i=0; $i<count($usersid); $i++) 
		{
			if ($usersid[$i]==$uid)
			{
				return true;
			}
		}
	}
	return false;
 
}


 
 
function b_mydownloads_top_show($options) {

	global $xoopsDB, $xoopsUser, $HTTP_SERVER_VARS;
	
	if (is_object($xoopsUser)) {
		$uid = $xoopsUser->getVar('uid');
		$uname = $xoopsUser->getVar('uname');
	} else {
		$uid = 0;
		$uname = '';
	}
		
	$block = array();
	$myts =& MyTextSanitizer::getInstance();
	//$order = date for most recent reviews
	//$order = hits for most popular reviews
	$result = $xoopsDB->query("SELECT lid, cid, title, date, hits, groupid, usersid, logourl FROM ".$xoopsDB->prefix("mydownloads_downloads")." WHERE status>0 ORDER BY ".$options[0]." DESC",$options[1],0);
	
	// Ajout option afficher image
	if ($options[3] == 1) {
		// Dbut Rcupration de $xoopsModuleConfig dans un bloc
		$config_handler =& xoops_gethandler('config');
		$module_handler =& xoops_gethandler('module');
		$module =& $module_handler->getByDirname('mydownloads');
		$xoopsModuleConfig =& $config_handler->getConfigsByCat(0, $module->getVar('mid'));
		// Fin rcupration de $xoopsModuleConfig dans un bloc
		$block['shotwidth']  = $xoopsModuleConfig['shotwidth'];
	}
	// Fin ajout
	
	while($myrow=$xoopsDB->fetchArray($result)){
		$download = array();
		$title = $myts->makeTboxData4Show($myrow["title"]);
		if ( !XOOPS_USE_MULTIBYTES ) {
			if (strlen($myrow['title']) >= $options[2]) {
				$title = $myts->makeTboxData4Show(substr($myrow['title'],0,($options[2] -1)))."...";
			}
		}
		// Ajout option afficher image
		if ($options[3] == 1) {
			$download['logourl'] = XOOPS_URL."/".$xoopsModuleConfig['screenshots']."/".$myrow['logourl'];
		}
		// Fin ajout
		if (checkPer($myrow['groupid'],$myrow['usersid'])) {
			$download['id'] = $myrow['lid'];
			$download['cid'] = $myrow['cid'];
			$download['title'] = $title;
			if($options[0] == "date"){
				$download['date'] = formatTimestamp($myrow['date'],"s");
			}elseif($options[0] == "hits"){
				$download['hits'] = $myrow['hits'];
			}
			$block['downloads'][] = $download;
		}
	}
	return $block;
}

function b_mydownloads_top_edit($options) {
	$form = ""._MB_MYDOWNLOADS_DISP."&nbsp;";
	$form .= "<input type=\"hidden\" name=\"options[0]\" value=\"";
	if($options[0] == "date"){
		$form .= "date\"";
	}else {
		$form .= "hits\"";
	}
	$form .= " />";
	$form .= "<input type=\"text\" name=\"options[1]\" value=\"".$options[1]."\" />&nbsp;"._MB_MYDOWNLOADS_FILES."";
	$form .= "&nbsp;<br />"._MB_MYDOWNLOADS_CHARS."&nbsp;<input type='text' name='options[2]' value='".$options[2]."' />&nbsp;"._MB_MYDOWNLOADS_LENGTH."";
	// Ajout option afficher image
	$chk = "";
    $form .= "&nbsp;<br />"._MB_MYDOWNLOADS_USESHOTS."&nbsp;";
    if ( $options[3] == 1 ) {
        $chk = " checked='checked'";
    }
    $form .= "<input type='radio' name='options[3]' value='1'".$chk." />&nbsp;"._YES;
    $chk = "";
    if ( $options[3] == 0 ) {
        $chk = ' checked="checked"';
    }
    $form .= '&nbsp;<input type="radio" name="options[3]" value="0"'.$chk.' />'._NO;
	// Fin ajout
	
	return $form;
}


?>
