<?php
// $Id: limite_functions.php,v 1.3 2006/02/21 17:12:33 niluge_kiwi $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


// Cr par Niluge_Kiwi
// v 1.4 2006/07/11 00:34:14
// ======================================================================== //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//

//contient les focntions ncssaires au fonctionnement du block 'quota'

function MyDownloadsIp() {
	// rcpre l'ip du visiteur
	global $_SERVER;
	
	if($_SERVER) {
		$adress = $_SERVER['REMOTE_ADDR'];
	}
	else {
		$adress = getenv('REMOTE_ADDR');
	}
	return $adress;
}

function checkMultiCompte($uid) {

//regarde si uid fait du multicompte
//retourne '0' si multicompte passif
//retourne '1' si multicompte actif
//retourne '2' si pas de multicompte

	global $xoopsDB;
	
	$result = $xoopsDB->query("SELECT actif FROM ".$xoopsDB->prefix("mydownloads_multic")." WHERE uid='$uid' OR uid2='$uid' LIMIT 1");
	list($actif) = $xoopsDB->fetchRow($result);
	
	if($actif=='') {
		$actif = 2;
	}
	
	return $actif;
}


function checkWhiteList($uid) {

//regarde si le membre fait parti de la white list
//retourne false si membre normal
//retourne true  si il fait parti de la liste

	global $xoopsModuleConfig;
	
	//groupes non limits
	$whitelist = $xoopsModuleConfig['whitelistmembers'];
	$whitelist = explode("|", $whitelist);
	
	//pour chaque uid 'blanc'
	for ($i=0; $i<count($whitelist); $i++) {
		if ($whitelist[$i] == $uid){
			return true;
		}
	}
	
	return false;
}

function checkLog($dl = 0) {

//Fonction log ip uid :
//retourne '0' si nouvelle visite (vient d'tre logg)
//retourne '1' si visiteur normal (uid=uid logg)
//retourne '2' si les uid ne correspondent pas (multi compte)

	global $xoopsUser, $xoopsDB;
	
	//on rcupre ip et uid du visiteur
	$adress = MyDownloadsIp();
	$uid = $xoopsUser->getVar('uid');
	
	//Si membre dans la whitelist, on retourne 1
	if(checkWhiteList($uid)) return 1;
	
	//si l'uid du visiteur est normale on continue
	if(checkMultiCompte($uid) == 2) {
	
		//on rcupre l'uid correspondant  l'ip
		$result = $xoopsDB->query("SELECT uid FROM ".$xoopsDB->prefix("mydownloads_ip")." WHERE ip='$adress'");
		list($userid) = $xoopsDB->fetchRow($result);
		
		//si l'ip n'est pas logge on la log et retourne 'log'
		if(empty($userid)) {
		
			//on rcupre l'ip de l'uid
			$result = $xoopsDB->query("SELECT ip FROM ".$xoopsDB->prefix("mydownloads_ip")." WHERE uid='$uid'");
			list($iplog) = $xoopsDB->fetchRow($result);
			
			//si aucune entre on en ajoute
			if(empty($iplog)) {
				$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_ip")." (ip, uid) VALUES ('$adress', '$uid')";
				$xoopsDB->queryF($sql);
			}
			
			//si dja entre on update
			else {
				$sql = "UPDATE ".$xoopsDB->prefix("mydownloads_ip")." SET ip = '$adress' WHERE uid = '$uid'";
				$xoopsDB->queryF($sql);
			}
			return '0';
		}
		
		//Si l'IP est dj logge, on vrifie que le log n'est pas trop vieux :
		else {
			//on rcupre la date de dernire connection de userid
			$date = $xoopsUser->getVar("last_login");
			
			//Si la dernire connection remonte  plus de 2 jours, le log d'ip est inutile et probablement faux
			//On met donc  jour le log avec le nouvel uid
			//Visite normale : retourne '1'
			if( ($date + (2 * 24 * 60 * 60)) < time()) {
				$sql = "UPDATE ".$xoopsDB->prefix("mydownloads_ip")." SET uid = '$uid' WHERE uid = '$userid' AND ip = '$adress' LIMIT 1";
				$xoopsDB->queryF($sql);
				return '1';
			}
		}
		
		//si l'uid logg est normal on continue
		if(checkMultiCompte($userid) == 2) {
		
			//si l'uid logg correspond  l'uid du visiteur : normal : retourne '1'
			if($userid == $uid) {
				return '1';
			}
		
			//si les uid ne correspondent pas : multi compte probable : log ds table 'mydownloads_multic'
			else {
				$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_multic")." (uid, uid2, actif) VALUES ('$uid', '$userid', '$dl')";
				$xoopsDB->queryF($sql);
				return '2';
			}
		}
	}
	else {
		if(checkMultiCompte($uid) == 0 && $dl == 1) {
			$sql = "UPDATE ".$xoopsDB->prefix("mydownloads_multic")." SET actif = '1' WHERE uid = '$uid' OR uid2 = '$uid'";
			$xoopsDB->queryF($sql);
		}
		return '2'; 
	}
}


function checkMyDownloadsHost($url) 
{

//si l'url est sur le serveur : true

// repre le nom de lhte dans lURL
$purl = parse_url($url);
$host = preg_replace("/www./","",$purl['host']);

// repre le nom de lhte dans lURL du serveur
$purl = parse_url(XOOPS_URL);
$hostserver = preg_replace("/www./","",$purl['host']);

//si l'url est sur le serveur : true
if ($hostserver == $host) return true;
else return false;
}


function checkMyDownloadsCatLimite($cid) 
{

//si la catgorie est limite retourne true

	global $xoopsDB;
	
	$result = $xoopsDB->query("SELECT limited FROM ".$xoopsDB->prefix("mydownloads_cat")." WHERE cid=$cid");
	list($limited) = $xoopsDB->fetchRow($result);
	if ($limited == 1)return true;
	else return false;
}

function MyDownloadsUserStats($uid, $option = 0, $jour = true) 
{

//Fonction qui rcupre le compteur journalier du visiteur si $jour = true, sinon rcupre le compteur total:
// si $option = 0 alors on retourne le compteur des tlchargements
// si $option = 1 alors on retourne le volume tlcharg
// si $option = 2 alors on retourne les 2

	global $xoopsDB;
	
	if ($jour) $table = "mydownloads_count";
	else $table = "mydownloads_stats";

	$log = 1;
	$result = $xoopsDB -> query("SELECT count, size FROM ".$xoopsDB->prefix($table)." WHERE uid='$uid'");
	list($resultat[0], $resultat[1]) = $xoopsDB -> fetchrow($result) or $log--;
	
	if ($log == 0) return -1;
	elseif ($option < 2) return $resultat[$option];
	else return $resultat;
	
	
}

function MyDownloadsLogNVUid($uid) {
	//fonction qui cre l'entre dans les logs si l'uid n'est pas encore logg
	// retourne true si log cr
	// retourne false si dj logg
	global $xoopsDB;
	
	$count = MyDownloadsUserStats($uid);
	if($count == -1) {
		$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_count")." (uid, count, size) VALUES ('$uid', 0, 0)";
		$xoopsDB->queryF($sql);
		$volumevalue = MyDownloadsUserStats($uid, 0 , false);
		if($volumevalue == -1) {
			$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_stats")." (uid, count, size) VALUES ('$uid', 0, 0)";
			$xoopsDB->queryF($sql);
		}
		return true;
	}
	else return false;
}


function MyDownloadsUpdateCompteur($uid, $volume = 0, $lid)
{

//Fonction qui met  jour le compteur du visiteur lors d'un download.
	
	global $xoopsDB, $xoopsModuleConfig;
		
	//Si volume non prcis, on rcupre la taille du fichier
	if(empty($volume)) {
		$result = $xoopsDB->query("SELECT size FROM ".$xoopsDB->prefix("mydownloads_downloads")."  WHERE lid='$lid'");
		list($volume) = $xoopsDB->fetchRow($result);
	}

	//On incrmente le compteur journalier
	$sql = "UPDATE ".$xoopsDB->prefix("mydownloads_count")." SET count = count+1, size = size + $volume WHERE uid = '$uid'";
	$xoopsDB->queryF($sql);

	//Si le log est activ, on incrmente le compteur total
	if ($xoopsModuleConfig['logdownloads'] == 1) {
		$sql = "UPDATE ".$xoopsDB->prefix("mydownloads_stats")." SET count = count+1, size = size + $volume WHERE uid = '$uid'";
		$xoopsDB->queryF($sql);
	}
}


function checkMyDownloadsDay() 
{

//fonction qui remet  0 les compteurs si nouveau jour
//et met  jour les stats journalires
	global  $xoopsDB, $xoopsModuleConfig;;
	
	//On rcupre la date d'aujourd'hui (en chiffres uniquement pour enregistrer dans la table count)
	$date = getdate();
	if ($date["mon"] < 10) $date["mon"] = "0".$date["mon"];
	if ($date["mday"] < 10) $date["mday"] = "0".$date["mday"];
	$datevalue = $date["year"].$date["mon"].$date["mday"];
	
	//On rcupre la date du dernier download dans la base de donne
	$result = $xoopsDB->query("SELECT size FROM ".$xoopsDB->prefix("mydownloads_count")." WHERE uid='-3'");
	list($day) = $xoopsDB->fetchRow($result);
	//Si on a chang de jour
	if ($day != $datevalue) {
		//Si le log est activ
		if ($xoopsModuleConfig['logdownloads'] == 1) {
			//on rcupre les stats journalires
			$result = $xoopsDB->query("SELECT COUNT(*), SUM(count), SUM(size) FROM ".$xoopsDB->prefix("mydownloads_count")." WHERE uid > -1");
			list($countuid, $count, $size) = $xoopsDB->fetchRow($result);
			
			//on les met dans la table totalstats
			$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_totalstats")." (date, count, size, countuid) VALUES ('$day', '$count', '$size', '$countuid')";
			$xoopsDB->queryF($sql);
		}
		
		//on reset la table journalire
		$sql = "TRUNCATE TABLE ".$xoopsDB->prefix("mydownloads_count");
		$xoopsDB->queryF($sql);
		$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_count")." (uid, size) VALUES ('-3', '$datevalue')";
		$xoopsDB->queryF($sql);
	}

}