<?php 
// $Id: submit.php,v 1.12 2003/05/26 17:16:08 okazu Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


// Ajouts par Niluge_Kiwi
// v 1.31b 2006/07/08 15:20:35
// ======================================================================== //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//
include "header.php";
include_once XOOPS_ROOT_PATH . "/class/xoopstree.php";
include_once XOOPS_ROOT_PATH . "/class/module.errorhandler.php";
include_once XOOPS_ROOT_PATH . "/include/xoopscodes.php";
include_once XOOPS_ROOT_PATH . '/modules/mydownloads/class/mimetype.php';
include_once XOOPS_ROOT_PATH . '/modules/mydownloads/class/uploader.php';
include_once("./include/functions.php");
include_once("./include/limite_functions.php");

$myts = &MyTextSanitizer::getInstance(); // MyTextSanitizer object
$eh = new ErrorHandler; //ErrorHandler object
$mytree = new XoopsTree( $xoopsDB->prefix( "mydownloads_cat" ), "cid", "pid" );

if ( empty( $xoopsUser ) && !$xoopsModuleConfig['anonpost'] )
{
    redirect_header( XOOPS_URL . "/user.php", 1, _MD_MUSTREGFIRST );
    exit();
} 

if ( $xoopsModuleConfig['submissions'] )
{
    redirect_header( "index.php", 1, _MD_NOTALLOWESTOSUBMIT );
    exit();
} 

if ( !empty( $HTTP_POST_VARS['submit'] ) )
{
    $submitter = !empty( $xoopsUser ) ? $xoopsUser->getVar( 'uid' ) : 0; 
    // Check if Title exist
    if ( $HTTP_POST_VARS["title"] == "" )
    {
        $eh->show( "1001" );
    } 
    // Check if HomePage exist
    if ( $HTTP_POST_VARS["homepage"] == "" )
    {
        $eh->show( "1017" );
    } 
    // Check if Description exist
    if ( $HTTP_POST_VARS['message'] == "" )
    {
        $eh->show( "1008" );
    } 

    $notify = !empty( $HTTP_POST_VARS['notify'] ) ? 1 : 0;

    if ( !empty( $HTTP_POST_VARS['cid'] ) )
    {
        $cid = intval( $HTTP_POST_VARS['cid'] );
    } 
    else
    {
        $cid = 0;
    } 

    if ( ( $HTTP_POST_VARS["URL"] ) and ( $HTTP_POST_VARS["URL"] != "" ) and ( $HTTP_POST_VARS["URL"] != "http://" ) )
    {
        $url = $myts->makeTboxData4Save( formatURL( $HTTP_POST_VARS["URL"] ) );
        $size = intval( $HTTP_POST_VARS["size"] );
    } 
    else
    {
        Global $HTTP_POST_FILES, $xoopsModuleConfig;
		
		$download_name=time()."-_MYDWONLOADSPRO_-".$HTTP_POST_FILES['userfile']['name'];
        $allowed_mimetypes = $xoopsModuleConfig['mimetypes'];
		$mimetype= new mimetype();
        $maxfilesize = $xoopsModuleConfig['maxfilesize'];
        $uploaddir = XOOPS_ROOT_PATH . "/" . $xoopsModuleConfig['uploaddir'] . "/";
        $url = XOOPS_URL . "/" . $xoopsModuleConfig['uploaddir'] . "/" . $download_name;
        $uploader = new XoopsMediaUploader( $uploaddir, $allowed_mimetypes, $maxfilesize, null, null );
		$uploader->setTargetFileName($download_name);
		

		if($HTTP_POST_FILES['userfile']['type']=='application/octet-stream')
		{
			$resultados=array();
			preg_match("'(\.[a-z0-9]{2,7})$'i",$HTTP_POST_FILES['userfile']['name'],$resultados);
			$ext=str_replace (".", "", $resultados[0]);
			$uploader->setMediaType($mimetype->privFindType($ext));
		}
		
        if ( $uploader->fetchMedia( $HTTP_POST_VARS['xoops_upload_file'][0],null ) )
        {
            if ( !$uploader->upload() )
            {
                $error = $uploader->getErrors();
			// Modification : temps d'affichage de l'erreur plus long pour avoir le temps de lire (1->5)
                redirect_header( "submit.php", 5, $error);
			// Fin modification
            } 
            else
            {
                if ( is_file( XOOPS_ROOT_PATH . "/" . $xoopsModuleConfig['uploaddir'] . "/" . $uploader->getSavedFileName() ) )
                {
                    $size = filesize( XOOPS_ROOT_PATH . "/" . $xoopsModuleConfig['uploaddir'] . "/" . $uploader->getSavedFileName() );
                } 
            } 
        } 
        else
        {
            $error = $uploader->getErrors();
            redirect_header( "submit.php", 1, $error );
        } 
    } 
	
    $title = $myts->makeTboxData4Save( $HTTP_POST_VARS["title"] );
	$groupid = saveMyDownloadsAccess($HTTP_POST_VARS["groupid"]);
	$usersid = saveMyDownloadsAccess($HTTP_POST_VARS["usersid"]);
    $homepage = $myts->makeTboxData4Save( $HTTP_POST_VARS["homepage"] );
    $version = $myts->makeTboxData4Save( $HTTP_POST_VARS["version"] );
    $size = intval( $HTTP_POST_VARS["size"] );
    $platform = $myts->makeTboxData4Save( $HTTP_POST_VARS["platform"] );
    $description = $myts->makeTareaData4Save( $HTTP_POST_VARS["message"] );
    $date = time();

    if ( ( $HTTP_POST_FILES['logourl']['name'] != '' ) )
    {
		$allowed_mimetypes = array( 'image/gif', 'image/jpeg', 'image/pjpeg', 'image/x-png' );
        $maxfilesize = $xoopsModuleConfig['maxfilesize'];
        $maxfilewidth = $xoopsModuleConfig['maximgwidth'];
        $maxfileheight = $xoopsModuleConfig['maximgheight'];
        $uploaddir = XOOPS_ROOT_PATH . "/" . $xoopsModuleConfig['screenshots'] . "/";
        $logourl = $HTTP_POST_FILES['logourl']['name'];

        $uploader = new XoopsMediaUploader( $uploaddir, $allowed_mimetypes, $maxfilesize, $maxfilewidth, $maxfileheight );	
        if ( $uploader->fetchMedia( $HTTP_POST_VARS['xoops_upload_file'][1] ) )
        {
            if ( !$uploader->upload() )
            {
                $errors = $uploader->getErrors();
                redirect_header( "index.php?op=downloadsConfigMenu", 1, $errors );
            } 
            else
            {
            } 
        } 
        else
        {
            $errors = $uploader->getErrors();
		// Modif : redirection vers la page prcdente, et pas vers une mauvaise page ( un malencontreux copi/coll provenant de MDP 1.03
		//         augmentation du temps d'affichage (1->5)
            redirect_header( "submit.php", 5, $errors );
		// Fin modif
        } 
    } 

    $newid = $xoopsDB->genId( $xoopsDB->prefix( "mydownloads_downloads" ) . "_lid_seq" );
    if ( $xoopsModuleConfig['autoapprove'] == 1 )
    {
        $status = $xoopsModuleConfig['autoapprove'];
    } 
    else
    {
        $status = 0;
    } 

    $sql = sprintf( "INSERT INTO %s (lid, cid, title, groupid, usersid, url, homepage, version, size, platform, logourl, submitter, status, date, hits, rating, votes, comments) VALUES (%u, %u, '%s','%s', '%s', '%s','%s', '%s', %u, '%s', '%s', %u, %u, %u, %u, %u, %u, %u)", $xoopsDB->prefix( "mydownloads_downloads" ), $newid, $cid, $title, $groupid, $usersid, $url, $homepage, $version, $size, $platform, $logourl, $submitter, $status, $date, 0, 0, 0, 0 );
    $xoopsDB->query( $sql ) or $eh->show( "0013" );
    if ( $newid == 0 )
    {
        $newid = $xoopsDB->getInsertId();
    } 
    $sql = sprintf( "INSERT INTO %s (lid, description) VALUES (%u, '%s')", $xoopsDB->prefix( "mydownloads_text" ), $newid, $description );
    $xoopsDB->query( $sql ) or $eh->show( "0013" ); 
    // Notify of new link (anywhere) and new link in category
    $notification_handler = &xoops_gethandler( 'notification' );
    $tags = array();
    $tags['FILE_NAME'] = $title;
    $tags['FILE_URL'] = XOOPS_URL . '/modules/' . $xoopsModule->getVar( 'dirname' ) . '/singlefile.php?cid=' . $cid . '&lid=' . $newid;
    $sql = "SELECT title FROM " . $xoopsDB->prefix( "mydownloads_cat" ) . " WHERE cid=" . $cid;
    $result = $xoopsDB->query( $sql );
    $row = $xoopsDB->fetchArray( $result );
    $tags['CATEGORY_NAME'] = $row['title'];
    $tags['CATEGORY_URL'] = XOOPS_URL . '/modules/' . $xoopsModule->getVar( 'dirname' ) . '/viewcat.php?cid=' . $cid;
    if ( $xoopsModuleConfig['autoapprove'] == 1 )
    {
        $notification_handler->triggerEvent( 'global', 0, 'new_file', $tags );
        $notification_handler->triggerEvent( 'category', $cid, 'new_file', $tags );
        redirect_header( "index.php", 2, _MD_RECEIVED . "<br />" . _MD_ISAPPROVED . "" );
    } 
    else
    {
        $tags['WAITINGFILES_URL'] = XOOPS_URL . '/modules/' . $xoopsModule->getVar( 'dirname' ) . '/admin/index.php?op=listNewDownloads';
        $notification_handler->triggerEvent( 'global', 0, 'file_submit', $tags );
        $notification_handler->triggerEvent( 'category', $cid, 'file_submit', $tags );
        if ( $notify )
        {
            include_once XOOPS_ROOT_PATH . '/include/notification_constants.php';
            $notification_handler->subscribe( 'file', $newid, 'approve', XOOPS_NOTIFICATION_MODE_SENDONCETHENDELETE );
        } 
        redirect_header( "index.php", 2, _MD_RECEIVED );
    } 
    exit();
} 
else
{
    Global $HTTP_POST_FILES, $xoopsModuleConfig;
    include XOOPS_ROOT_PATH . "/header.php";
    include_once XOOPS_ROOT_PATH . "/class/xoopstree.php" ;
    include XOOPS_ROOT_PATH . "/class/xoopsformloader.php";
    $sform = new XoopsThemeForm( _MD_SUBMITCATHEAD, "storyform", xoops_getenv( 'PHP_SELF' ) );
    $sform->setExtra( 'enctype="multipart/form-data"' );
	// longueur max modifie
    $sform->addElement( new XoopsFormText( _MD_FILETITLE, 'title', 50, 100 ), true );
	
	if ($xoopsModuleConfig['usergroups'])
	{
		$sform->addElement( new XoopsFormSelectGroup (_MD_GROUPACCESS, 'groupid',true,array(1,2,3),3,true));
		//users select
		$member_handler =& xoops_gethandler('member');
		$usercount = $member_handler->getUserCount();
		$user_select = new XoopsFormSelect('', "usersid",preg_split('//', $origusersid, -1, PREG_SPLIT_NO_EMPTY),4,true);
		$criteria = new CriteriaCompo();
		$criteria->setSort('uname');
		$criteria->setOrder('ASC');
		$criteria->setLimit(200);
		$user_select->addOptionArray($member_handler->getUserList($criteria));
		$user_select_tray = new XoopsFormElementTray(_MD_USERSACCESS, "<br />");
		$user_select_tray->addElement($user_select);
		$sform->addElement($user_select_tray);
		//users selec
	}
	else
	{
		$sform->addElement(new XoopsFormHidden('groupid','1 2 3'));
		$sform->addElement(new XoopsFormHidden('usersid',' '));
	}
	
    $mytree = new XoopsTree( $xoopsDB->prefix( "mydownloads_cat " ), "cid ", "pid" );
	// longueur max modifie
    $sform->addElement( new XoopsFormText( _MD_DLURL, 'URL', 50, 250, "http://" ), false );
    if ( $xoopsModuleConfig['useruploads'] )
    {
        $sform->addElement( new XoopsFormFile( _MD_DLURL, 'userfile', 2000000 ), false );
    }

    $mytree = new XoopsTree( $xoopsDB->prefix( "mydownloads_cat" ), "cid", "pid" );
    ob_start();
	$mytree->makeMySelBox( "title", "title" );
    $sform->addElement( new XoopsFormLabel( _MD_CATEGORYC, ob_get_contents() ) );
    ob_end_clean();

    $sform->addElement( new XoopsFormText( _MD_HOMEPAGEC, 'homepage', 50, 80, XOOPS_URL), false );
    $sform->addElement( new XoopsFormText( _MD_VERSIONC, 'version', 10, 20 ), false );
    $sform->addElement( new XoopsFormText( _MD_FILESIZEC, 'size', 10, 20 ), false );
    $sform->addElement( new XoopsFormText( _MD_PLATFORMC, 'platform', 50, 80 ), false );
    $sform->addElement( new XoopsFormDhtmlTextArea( _MD_DESCRIPTION, 'message', '', 15, 60 ), true );

    $sform->addElement( new XoopsFormFile( _MD_DUPLOADSCRSHOT, 'logourl', $xoopsModuleConfig['maxfilesize'] ), false );

    $option_tray = new XoopsFormElementTray( _MD_OPTIONS, '<br />' );
    $notify_checkbox = new XoopsFormCheckBox( '', 'notifypub' );
    $notify_checkbox->addOption( 1, _MD_NOTIFYAPPROVE );
    $option_tray->addElement( $notify_checkbox );
    $sform->addElement( $option_tray );
    $button_tray = new XoopsFormElementTray( '', '' );

    $button_tray->addElement( new XoopsFormButton( '', 'submit', _SUBMIT, 'submit' ) );
    $sform->addElement( $button_tray );
    $sform->display();
    include XOOPS_ROOT_PATH . '/footer.php';
} 

?>
