<?php
// ------------------------------------------------------------------------- //
//                XOOPS - PHP Content Management System                      //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

include_once "../../../mainfile.php";

$myts =& MyTextSanitizer::getInstance();

if ( isset($_POST) ) {
    foreach ($_POST as $k=>$v) {
        $$k = $myts->stripSlashesGPC($v);
    }
}
$language = $xoopsConfig['language'];

if ( file_exists("language/".$language."/updater.php") ) {
    include_once "language/".$language."/updater.php";
} elseif ( file_exists("language/english/updater.php") ) {
    include_once "language/english/updater.php";
    $language = 'english';
} else {
    echo 'no language file.';
    exit();
}


function install_header(){
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <title>Xoops - Mise  jour : MyDownloads 1.0  Mydownloads Expert 1.4</title>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo _MDE_UPDATE_CHARSET ?>" />
  <style type="text/css" media="all"><!-- @import url(../../../xoops.css); --></style>
  <link rel="stylesheet" type="text/css" media="all" href="style.css" />
</head>
<body style="margin: 0; padding: 0;">
<form action='<?php echo $_SERVER['PHP_SELF'] ?>' method='post'>
<table width="778" align="center" cellpadding="0" cellspacing="0" background="img/bg_table.gif">
  <tr>
    <td width="150"><img src="img/hbar_left.gif" width="100%" height="23" alt="" /></td>
    <td width="478" background="img/hbar_middle.gif">&nbsp;</td>
    <td width="150"><img src="img/hbar_right.gif" width="100%" height="23" alt="" /></td>
  </tr>
  <tr>
    <td width="150"><a href="index.php"><img src="img/logo.gif" width="150" height="80" alt="" /></a></td>
    <td width="478" background="img/bg_darkblue.gif">&nbsp;</td>
    <td width="150"><img src="img/xoops2.gif" width="100%" height="80"></td>
  </tr>
  <tr>
    <td width="150"><img src="img/hbar_left.gif" width="100%" height="23" alt="" /></td>
    <td width="478" background="img/hbar_middle.gif">&nbsp;</td>
    <td width="150"><img src="img/hbar_right.gif" width="100%" height="23" alt="" /></td>
  </tr>
</table>

<table width="778" align="center" cellspacing="0" cellpadding="0" background="img/bg_table.gif">
  <tr>
    <td width='5%'>&nbsp;</td>
    <td align="center"><h4 style="margin-top: 10px; margin-bottom: 5px; padding: 10px;"><?php echo _MDE_UPDATE_L01;?></h4><div style="padding: 10px; text-align:left;">
<?php



}

function install_footer(){
?>

    <td width='5%'>&nbsp;</td>
  </tr>
    <td colspan="3">&nbsp;</td>
  </tr>
</table>

<table width="778" cellspacing="0" cellpadding="0" align="center" background="img/bg_table.gif">
  <tr>
    <td width="150"><img src="img/hbar_left.gif" width="100%" height="23" alt="" /></td>
    <td width="478" background="img/hbar_middle.gif">&nbsp;</td>
    <td width="150"><img src="img/hbar_right.gif" width="100%" height="23" alt="" /></td>
  </tr>
</table>
</form>
</body>
</html>
<?php
}

if ( !isset($action) || $action == "" ) {
	$action = "message";
}

if ( $action == "message" ) {
	install_header();
	echo "
	<table width='100%' border='0'><tr><td colspan='2'>". _MDE_UPDATE_L02."</td></tr>
	<tr><td>-</td><td>"._MDE_UPDATE_L03."</td></tr>
	<tr><td>-</td><td><span style='color:#ff0000;font-weight:bold;'>"._MDE_UPDATE_L04."</span></td></tr>
	<tr>
    <td colspan='2' align='center'><br /><br /><input type='hidden' name='action' value='update' /><input type='submit' name='submit' value='"._MDE_UPDATE_L99."' /></td>
    </tr>
  	</table></td>
	";
	install_footer();
	exit();
}




if ( $action == "update" ) {

install_header();

$error = array();

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_cat")." ADD `groupid` varchar(100) NOT NULL default '1' AFTER `pid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_cat")." 1";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_cat")." ADD `usersid` longtext NOT NULL AFTER `groupid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_cat")." 2";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_downloads")." ADD `groupid` varchar(100) NOT NULL default '1' AFTER `cid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_downloads")." 1";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_downloads")." ADD `usersid` longtext NOT NULL AFTER `groupid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_downloads")." 2";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_mod")."  ADD `groupid` varchar(100) NOT NULL default '1' AFTER `cid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_mod")." 1";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_mod")." ADD `usersid` longtext NOT NULL AFTER `groupid`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE".$xoopsDB->prefix("mydownloads_mod")." 2";
}

$result = $xoopsDB->queryF("CREATE TABLE ".$xoopsDB->prefix("mydownloads_ip")." (
 ip VARCHAR( 15 ) default '0.0.0.0' NOT NULL ,
 uid INT( 5 ) DEFAULT '0' NOT NULL ,
 KEY ip (ip) 
) TYPE=MyISAM;"); 
if (!$result) {
	$error[] = "Erreur CREATE TABLE ".$xoopsDB->prefix("mydownloads_ip")."";
}

$result = $xoopsDB->queryF("CREATE TABLE ".$xoopsDB->prefix("mydownloads_count")." (
 uid INT(5) DEFAULT '0' NOT NULL ,
 count TINYINT(3) DEFAULT '0' NOT NULL ,
 size INT(15) NOT NULL default '0' NOT NULL ,
 KEY uid (uid) 
) TYPE=MyISAM;"); 
if (!$result) {
	$error[] = "Erreur CREATE TABLE ".$xoopsDB->prefix("mydownloads_count")."";
}

$result = $xoopsDB->queryF("CREATE TABLE ".$xoopsDB->prefix("mydownloads_stats")." (
 uid INT(5) DEFAULT '0' NOT NULL ,
 count INT(5) DEFAULT '0' NOT NULL ,
 size INT(15) NOT NULL default '0' NOT NULL ,
 KEY uid (uid) 
) TYPE=MyISAM;"); 
if (!$result) {
	$error[] = "Erreur CREATE TABLE ".$xoopsDB->prefix("mydownloads_stats")."";
}

$result = $xoopsDB->queryF("CREATE TABLE ".$xoopsDB->prefix("mydownloads_totalstats")." (
 id INT(11) unsigned NOT NULL auto_increment,
 date INT(8) NOT NULL ,
 count INT(5) DEFAULT '0' NOT NULL ,
 size INT(15) DEFAULT '0' NOT NULL ,
 countuid INT(4) DEFAULT '0' NOT NULL ,
 KEY ( `id` )
) TYPE=MyISAM;"); 
if (!$result) {
	$error[] = "Erreur CREATE TABLE ".$xoopsDB->prefix("mydownloads_totalstats")."";
}

$result = $xoopsDB->queryF("CREATE TABLE ".$xoopsDB->prefix("mydownloads_multic")." (
 uid INT( 5 ) DEFAULT '0' NOT NULL ,
 uid2 INT( 5 ) DEFAULT '0' NOT NULL ,
 actif TINYINT( 1 ) DEFAULT '0' NOT NULL ,
 KEY uid (uid) 
) TYPE=MyISAM;"); 
if (!$result) {
	$error[] = "Erreur ".$xoopsDB->prefix("mydownloads_multic")."";
}


$result = $xoopsDB->queryF("INSERT INTO ".$xoopsDB->prefix("mydownloads_count")." ( `uid` , `count` ) VALUES ('-3', '1012006');"); 
if (!$result) {
	$error[] = "Erreur insertion 'count'";
}

$result = $xoopsDB->queryF("ALTER TABLE ".$xoopsDB->prefix("mydownloads_cat")." ADD limited tinyint(1) NOT NULL default '0' AFTER `imgurl`"); 
if (!$result) {
	$error[] = "Erreur ALTER TABLE ".$xoopsDB->prefix("mydownloads_cat")."";
}


if ( count($error) ) {
	echo "<p><img src='img/no.gif'> <span style='color:#ff0000;font-weight:bold'>MySQL database tables Errors:</span><br>";
	foreach( $error as $err ) {
		echo $err."<br>";
	}
	echo "</p></td>";
}
else {
	echo "<p><img src='img/yes.gif'> "._MDE_UPDATE_L05."</p><br><center>"._MDE_UPDATE_L30."</center></td>";
}


install_footer();


}
?>