<?php
// $Id: visit.php,v 1.7 2004/12/22 18:33:47 niluge_kiwi Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


// Ajouts par Niluge_Kiwi
// v 1.31b 2006/07/08 13:57:29
// ======================================================================== //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//

include "../../mainfile.php";
include_once("./include/functions.php");
include_once("./include/limite_functions.php");
$myts =& MyTextSanitizer::getInstance(); // MyTextSanitizer object
$lid = intval($HTTP_GET_VARS['lid']);
$cid = intval($HTTP_GET_VARS['cid']);

//// ajouts

global $xoopsUser, $xoopsModuleConfig;

//coup coll
$result = $xoopsDB->query("SELECT url,groupid, usersid FROM ".$xoopsDB->prefix("mydownloads_downloads")." WHERE lid=$lid AND status>0");
list($url,$groupid,$usersid) = $xoopsDB->fetchRow($result);

$limite = $xoopsModuleConfig['limitnumber'];

//Si le visiteur n'a pas accs au fichier, on le redirige...
checkMyDownloadsAccess($groupid,$usersid, "index.php", 2, _NOPERM);

//on regarde si la limite est active (aussi pour la catgorie) et on compare ladresse de dl avec l'adresse du serveur
if ($xoopsModuleConfig['limitdl'] == 1 && checkMyDownloadsHost($url) && checkMyDownloadsCatLimite($cid)) {

	//Si visiteur anonyme : on le redirige vers page login avec message expliquant la limitation
	if (!$xoopsUser) 
	{
		redirect_header( XOOPS_URL . "/user.php", 10, _MD_DL_LIMITED);
		break;
	} 
	
	$uid = $xoopsUser->getVar('uid');
	
	// Si membre limit
	if(!checkGroupNoLimited()) {

		//si user multicompte on redirige erreur
		if(checkLog(1)==2) {
			redirect_header("erreur.php", 2, _MD_NOACCESS);
			break;
		}
	
		$count = MyDownloadsUserStats($uid);
	
		// si uid nonlogg, on log, 
		// ou si uid logg et quota non dpass
		// +1 count (mais fait plus tard)
		if (MyDownloadsLogNVUid($uid) || $count < $limite) $compteuraaugmenter = true;
	
		// si quota dpass on redirige vers une page limite.php
		else {
			redirect_header("limite.php", 2, _MD_NOACCESS);
			break;
		}

	}
	// Si membre non limit, on augmente le compteur mais on ne limite pas
	elseif($xoopsModuleConfig['logdownloads'] == 1) {
		MyDownloadsLogNVUid($uid);
		$compteuraaugmenter = true;
		
	}
	else $compteuraaugmenter = false;
}

//Sinon si visiteur anonyme : on augmente le compteur quand mme
elseif ($xoopsModuleConfig['limitdl'] == 0)  {
	$compteuraaugmenter = true;
	$uid = 0;
	$count = MyDownloadsUserStats($uid);

	// si l'anonyme n'est pas logg, on log
	if($count == -1) {
		$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_count")." (uid, count, size) VALUES ('$uid', 0, 0)";
		$xoopsDB->queryF($sql);
		$volumevalue = MyDownloadsUserStats($uid, 0 , false);
		if($volumevalue == -1) {
			$sql = "INSERT INTO ".$xoopsDB->prefix("mydownloads_stats")." (uid, count, size) VALUES ('$uid', 0, 0)";
			$xoopsDB->queryF($sql);
		}
	}
}
else {
	$compteuraaugmenter = false;
}

//// fin ajouts


if ( $xoopsModuleConfig['check_host'] ) {
	$goodhost      = 0;
	$referer       = parse_url(xoops_getenv('HTTP_REFERER'));
	$referer_host  = $referer['host'];
	foreach ( $xoopsModuleConfig['referers'] as $ref ) {
		if ( !empty($ref) && preg_match("/".$ref."/i", $referer_host) ) {
			$goodhost = "1";
			break;
		}
	}
	if (!$goodhost) {
		redirect_header(XOOPS_URL . "/modules/mydownloads/singlefile.php?cid=$cid&amp;lid=$lid", 20, _MD_NOPERMISETOLINK);
		exit();
	}
}

//Ajout mode d'envoi du fichier
checkMyDownloadsDay();
//Si envoie normal ou si fichier non prsent sur le serveur mme
if($xoopsModuleConfig['transfertmod'] == 0 || !checkMyDownloadsHost($url)) {
	//Augmente le hit du fichier
	$sql = sprintf("UPDATE %s SET hits = hits+1 WHERE lid = %u AND status > 0", $xoopsDB->prefix("mydownloads_downloads"), $lid);
	$xoopsDB->queryF($sql);
	if($compteuraaugmenter) MyDownloadsUpdateCompteur($uid, 0, $lid);
	
	// de wf download
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false); 
	// HTTP/1.0
	header("Pragma: no-cache"); 
	// Date in the past
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
	// always modified
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Refresh: 0; url=$url");
	// fin de wf download
	 
}
//Sinon, envoie spcial
else {

	$path = findDownloadpath($url);
	$fp = fopen($path , "rb");
	//Si on arrive  lire le fichier on continue
	if ($fp) { 
		$fileName = basename ($path);
		if(ereg(".zip", $fileName)) $fileType = "application/x-zip-compressed";
		elseif(ereg(".rar", $fileName)) $fileType = "application/x-rar-compressed";
		else $fileType = "application/octet-stream";
		
		$fileLength = filesize($path);

		Header("Cache-control: private");
		Header("Pragma: no-cache");
		Header("Content-Type: $fileType");
		Header("Content-Transfer-Encoding: binary");
		Header("Content-Length: $fileLength");
		Header("Accept-Ranges: bytes");
		Header('Content-Disposition: attachment; filename="'.$fileName.'"');
		Header("Connection: close");
		
		while(!feof($fp)) {
			echo fread($fp, 4096);
		}
		fclose($fp);
		
		//Augmente le hit du fichier
		$sql = sprintf("UPDATE %s SET hits = hits+1 WHERE lid = %u AND status > 0", $xoopsDB->prefix("mydownloads_downloads"), $lid);
		$xoopsDB->queryF($sql);
		
		if ($compteuraaugmenter) MyDownloadsUpdateCompteur($uid, $fileLength);
		
	}
	//Sinon erreur : on redirige vers page de lien bris
	else {
		redirect_header( XOOPS_URL . "/modules/mydownloads/brokenfile.php?lid=$lid", 10, _MD_ERREURDL);
	}

}
exit();

?>
