<?php
// $Id: xoops_version.php,v 1.19 2003/03/30 01:51:58 mvandam Exp $
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //


// Ajouts par Niluge_Kiwi
// v 1.4 2006/07/08 17:39:14
// ======================================================================== //
//
//   www.lmdmf.net
//
// kiwiiii@gmail.com
//
// ======================================================================== //
//

$modversion['name'] = "Mydownloads Expert";
$modversion['version'] = "1.4";
$modversion['description'] = _MI_MYDOWNLOADS_DESC;
$modversion['author'] = "Niluge_Kiwi";
$modversion['credits'] = "By Niluge_Kiwi<br />( <a href=mailto:kiwiiii@gmail.com>kiwiiii@gmail.com</a> ) For <a href='http://www.lmdmf.net>LMDMF.net</a> <br /> Based on Mydownloads Pro 1.03<br /> The XOOPS Project";
$modversion['help'] = "<a href=mailto:kiwiiii@gmail.com>kiwiiii@gmail.com</a>";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/mydl_slogo.png";
$modversion['dirname'] = "mydownloads";

// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
// All tables should not have any prefix!
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = "mydownloads_broken";
$modversion['tables'][1] = "mydownloads_cat";
$modversion['tables'][2] = "mydownloads_downloads";
$modversion['tables'][3] = "mydownloads_mod";
$modversion['tables'][4] = "mydownloads_text";
$modversion['tables'][5] = "mydownloads_votedata";
$modversion['tables'][6] = "mydownloads_ip";
$modversion['tables'][7] = "mydownloads_count";
$modversion['tables'][8] = "mydownloads_stats";
$modversion['tables'][9] = "mydownloads_totalstats";
$modversion['tables'][10] = "mydownloads_multic";
// Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Blocks
$modversion['blocks'][1]['file'] = "mydownloads_top.php";
$modversion['blocks'][1]['name'] = _MI_MYDOWNLOADS_BNAME1;
$modversion['blocks'][1]['description'] = _MI_MYDOWNLOADS_DESC1;
$modversion['blocks'][1]['show_func'] = "b_mydownloads_top_show";
$modversion['blocks'][1]['edit_func'] = "b_mydownloads_top_edit";
$modversion['blocks'][1]['options'] = "date|10|19";
$modversion['blocks'][1]['template'] = 'mydownloads_block_new.html';

$modversion['blocks'][2]['file'] = "mydownloads_top.php";
$modversion['blocks'][2]['name'] = _MI_MYDOWNLOADS_BNAME2;
$modversion['blocks'][2]['description'] = _MI_MYDOWNLOADS_DESC2;
$modversion['blocks'][2]['show_func'] = "b_mydownloads_top_show";
$modversion['blocks'][2]['edit_func'] = "b_mydownloads_top_edit";
$modversion['blocks'][2]['options'] = "hits|10|19";
$modversion['blocks'][2]['template'] = 'mydownloads_block_top.html';


//ajouts

$modversion['blocks'][3]['file'] = "mydownloads_reste.php";
$modversion['blocks'][3]['name'] = _MI_MYDOWNLOADS_BNAME3;
$modversion['blocks'][3]['description'] = _MI_MYDOWNLOADS_DESC3;
$modversion['blocks'][3]['show_func'] = "b_mydownloads_reste_show";
$modversion['blocks'][3]['edit_func'] = "b_mydownloads_reste_edit";
$modversion['blocks'][3]['options'] = "1";
$modversion['blocks'][3]['template'] = 'mydownloads_block_reste.html';

$modversion['blocks'][4]['file'] = "mydownloads_random.php";
$modversion['blocks'][4]['name'] = _MI_MYDOWNLOADS_BNAME4;
$modversion['blocks'][4]['description'] = _MI_MYDOWNLOADS_DESC4;
$modversion['blocks'][4]['show_func'] = "b_mydownloads_random_show";
$modversion['blocks'][4]['edit_func'] = "b_mydownloads_random_edit";
$modversion['blocks'][4]['options'] = "19|50|1";
$modversion['blocks'][4]['template'] = 'mydownloads_block_random.html';


//fin ajouts

Global $xoopsModuleConfig;

// Menu
$modversion['hasMain'] = 1;
if ($xoopsModuleConfig['submissions']) {
$modversion['sub'][1]['name'] = _MI_MYDOWNLOADS_SMNAME1;
$modversion['sub'][1]['url'] = "submit.php";
}
$modversion['sub'][2]['name'] = _MI_MYDOWNLOADS_SMNAME2;
$modversion['sub'][2]['url'] = "topten.php?hit=1";
$modversion['sub'][3]['name'] = _MI_MYDOWNLOADS_SMNAME3;
$modversion['sub'][3]['url'] = "topten.php?rate=1";

// Search
$modversion['hasSearch'] = 1;
$modversion['search']['file'] = "include/search.inc.php";
$modversion['search']['func'] = "mydownloads_search";

// Comments
$modversion['hasComments'] = 1;
$modversion['comments']['itemName'] = 'lid';
$modversion['comments']['pageName'] = 'singlefile.php';
$modversion['comments']['extraParams'] = array('cid');
// Comment callback functions
$modversion['comments']['callbackFile'] = 'include/comment_functions.php';
$modversion['comments']['callback']['approve'] = 'mydownloads_com_approve';
$modversion['comments']['callback']['update'] = 'mydownloads_com_update';

// Templates
$modversion['templates'][1]['file'] = 'mydownloads_brokenfile.html';
$modversion['templates'][1]['description'] = '';
$modversion['templates'][2]['file'] = 'mydownloads_download.html';
$modversion['templates'][2]['description'] = '';
$modversion['templates'][3]['file'] = 'mydownloads_index.html';
$modversion['templates'][3]['description'] = '';
$modversion['templates'][4]['file'] = 'mydownloads_modfile.html';
$modversion['templates'][4]['description'] = '';
$modversion['templates'][5]['file'] = 'mydownloads_ratefile.html';
$modversion['templates'][5]['description'] = '';
$modversion['templates'][6]['file'] = 'mydownloads_singlefile.html';
$modversion['templates'][6]['description'] = '';
$modversion['templates'][7]['file'] = 'mydownloads_submit.html';
$modversion['templates'][7]['description'] = '';
$modversion['templates'][8]['file'] = 'mydownloads_topten.html';
$modversion['templates'][8]['description'] = '';
$modversion['templates'][9]['file'] = 'mydownloads_viewcat.html';
$modversion['templates'][9]['description'] = '';
$modversion['templates'][10]['file'] = 'mydownloads_limit.html';
$modversion['templates'][10]['description'] = '';
$modversion['templates'][11]['file'] = 'mydownloads_erreur.html';
$modversion['templates'][11]['description'] = '';

// Config Settings (only for modules that need config settings generated automatically)

// name of config option for accessing its specified value. i.e. $xoopsModuleConfig['storyhome']
$modversion['config'][1]['name'] = 'popular';

// title of this config option displayed in config settings form
$modversion['config'][1]['title'] = '_MI_MYDOWNLOADS_POPULAR';

// description of this config option displayed under title
$modversion['config'][1]['description'] = '_MI_MYDOWNLOADS_POPULARDSC';

// form element type used in config form for this option. can be one of either textbox, textarea, select, select_multi, yesno, group, group_multi
$modversion['config'][1]['formtype'] = 'select';

// value type of this config option. can be one of either int, text, float, array, or other
// form type of 'group_multi', 'select_multi' must always be 'array'
// form type of 'yesno', 'group' must be always be 'int'
$modversion['config'][1]['valuetype'] = 'int';

// the default value for this option
// ignore it if no default
// 'yesno' formtype must be either 0(no) or 1(yes)
$modversion['config'][1]['default'] = 100;

// options to be displayed in selection box
// required and valid for 'select' or 'select_multi' formtype option only
// language constants can be used for both array keys and values
$modversion['config'][1]['options'] = array('5' => 5, '10' => 10, '50' => 50, '100' => 100, '200' => 200, '500' => 500, '1000' => 1000);


$modversion['config'][2]['name'] = 'newdownloads';
$modversion['config'][2]['title'] = '_MI_MYDOWNLOADS_NEWDLS';
$modversion['config'][2]['description'] = '_MI_MYDOWNLOADS_NEWDLSDSC';
$modversion['config'][2]['formtype'] = 'select';
$modversion['config'][2]['valuetype'] = 'int';
$modversion['config'][2]['default'] = 10;
$modversion['config'][2]['options'] = array('5' => 5, '10' => 10, '15' => 15, '20' => 20, '25' => 25, '30' => 30, '50' => 50);

$modversion['config'][3]['name'] = 'perpage';
$modversion['config'][3]['title'] = '_MI_MYDOWNLOADS_PERPAGE';
$modversion['config'][3]['description'] = '_MI_MYDOWNLOADS_PERPAGEDSC';
$modversion['config'][3]['formtype'] = 'select';
$modversion['config'][3]['valuetype'] = 'int';
$modversion['config'][3]['default'] = 10;
$modversion['config'][3]['options'] = array('5' => 5, '10' => 10, '15' => 15, '20' => 20, '25' => 25, '30' => 30, '50' => 50);

$modversion['config'][4]['name'] = 'anonpost';
$modversion['config'][4]['title'] = '_MI_MYDOWNLOADS_ANONPOST';
$modversion['config'][4]['description'] = '';
$modversion['config'][4]['formtype'] = 'yesno';
$modversion['config'][4]['valuetype'] = 'int';
$modversion['config'][4]['default'] = 0;

$modversion['config'][5]['name'] = 'autoapprove';
$modversion['config'][5]['title'] = '_MI_MYDOWNLOADS_AUTOAPPROVE';
$modversion['config'][5]['description'] = '_MI_MYDOWNLOADS_AUTOAPPROVEDSC';
$modversion['config'][5]['formtype'] = 'yesno';
$modversion['config'][5]['valuetype'] = 'int';
$modversion['config'][5]['default'] = 0;

$modversion['config'][6]['name'] = 'useshots';
$modversion['config'][6]['title'] = '_MI_MYDOWNLOADS_USESHOTS';
$modversion['config'][6]['description'] = '_MI_MYDOWNLOADS_USESHOTSDSC';
$modversion['config'][6]['formtype'] = 'yesno';
$modversion['config'][6]['valuetype'] = 'int';
$modversion['config'][6]['default'] = 0;

$modversion['config'][7]['name'] = 'shotwidth';
$modversion['config'][7]['title'] = '_MI_MYDOWNLOADS_SHOTWIDTH';
$modversion['config'][7]['description'] = '_MI_MYDOWNLOADS_SHOTWIDTHDSC';
$modversion['config'][7]['formtype'] = 'textbox';
$modversion['config'][7]['valuetype'] = 'int';
$modversion['config'][7]['default'] = 140;

$modversion['config'][8]['name'] = 'check_host';
$modversion['config'][8]['title'] = '_MI_MYDOWNLOADS_CHECKHOST';
$modversion['config'][8]['description'] = '';
$modversion['config'][8]['formtype'] = 'yesno';
$modversion['config'][8]['valuetype'] = 'int';
$modversion['config'][8]['default'] = 0;

$xoops_url = parse_url(XOOPS_URL);
$modversion['config'][9]['name'] = 'referers';
$modversion['config'][9]['title'] = '_MI_MYDOWNLOADS_REFERERS';
$modversion['config'][9]['description'] = '_MI_MYDOWNLOADS_REFERERSDSC';
$modversion['config'][9]['formtype'] = 'textarea';
$modversion['config'][9]['valuetype'] = 'array';
$modversion['config'][9]['default'] = array($xoops_url['host']);

$modversion['config'][10]['name'] = 'maxfilesize';
$modversion['config'][10]['title'] = '_MI_MYDOWNLOADS_MAXFILESIZE';
$modversion['config'][10]['description'] = '_MI_MYDOWNLOADS_MAXFILESIZEDSC';
$modversion['config'][10]['formtype'] = 'textbox';
$modversion['config'][10]['valuetype'] = 'int';
$modversion['config'][10]['default'] = 50000;

$modversion['config'][11]['name'] = 'maximgwidth';
$modversion['config'][11]['title'] = '_MI_MYDOWNLOADS_IMGWIDTH';
$modversion['config'][11]['description'] = '_MI_MYDOWNLOADS_IMGWIDTHDSC';
$modversion['config'][11]['formtype'] = 'textbox';
$modversion['config'][11]['valuetype'] = 'int';
$modversion['config'][11]['default'] = 600;

$modversion['config'][12]['name'] = 'maximgheight';
$modversion['config'][12]['title'] = '_MI_MYDOWNLOADS_IMGHEIGHT';
$modversion['config'][12]['description'] = '_MI_MYDOWNLOADS_IMGHEIGHTDSC';
$modversion['config'][12]['formtype'] = 'textbox';
$modversion['config'][12]['valuetype'] = 'int';
$modversion['config'][12]['default'] = 600;

$modversion['config'][13]['name'] = 'uploaddir';
$modversion['config'][13]['title'] = '_MI_MYDOWNLOADS_UPLOADDIR';
$modversion['config'][13]['description'] = '_MI_MYDOWNLOADS_UPLOADDIRDSC';
$modversion['config'][13]['formtype'] = 'textbox';
$modversion['config'][13]['valuetype'] = 'text';
$modversion['config'][13]['default'] = 'uploads';

$modversion['config'][14]['name'] = 'mimetypes';
$modversion['config'][14]['title'] = '_MI_MYDOWNLOADS_MIMETYPES';
$modversion['config'][14]['description'] = '_MI_MYDOWNLOADS_MIMETYPESDSC';
$modversion['config'][14]['formtype'] = 'select_multi';
$modversion['config'][14]['valuetype'] = 'array';
$modversion['config'][14]['default'] = array('------- All -------','gif', 'jpeg', 'pjpeg', 'png', 'zip');
$modversion['config'][14]['options'] = array(
			"------- All -------" => "none",
			
			"bmp" => "image/bmp",
            "gif" => "image/gif",
			"ico" => "image/icon",
            "ief" => "image/ief",
            "jpeg" => "image/pjpeg",
            "jpeg" => "image/jpeg",
            "jpg" => "image/jpeg",
            "jpe" => "image/jpeg",
            "png" => "image/x-png",
            "tiff" => "image/tiff",
            "tif" => "image/tif",
			"wbmp" => "image/vnd.wap.wbmp",
			
			
			"ace" => "application/x-ace-compressed",
			"ai" => "application/postscript",
			"aif" => "audio/x-aiff",
			"aifc" => "audio/x-aiff",
			"aiff" => "audio/x-aiff",
			"asc" => "text/plain",
			"asf" => "video/x-ms-asf",
            "asx" => "audio/x-ms-wax",
			"au" => "audio/basic",
			"avi" => "video/x-msvideo",
			"bcpio" => "application/x-bcpio",
			"bin" => "application/octet-stream",
			"cdf" => "application/x-netcdf",
			"class" => "application/octet-stream",
			"cpio" => "application/x-cpio",
			"cpt" => "application/mac-compactpro",
			"csh" => "application/x-csh",
			"css" => "text/css",
			"dll" => "application/octet-stream",
			"dir" => "application/x-director",
			"djvu" => "image/vnd.djvu",
            "djv" => "image/vnd.djvu",
			"dms" => "application/octet-stream",
			"doc" => "application/msword",
			"dcr" => "application/x-director",
			"dvi" => "application/x-dvi",
			"dxr" => "application/x-director",
			"eps" => "application/postscript",
			"etx" => "text/x-setext",
			"exe" => "application/octet-stream",
			"ez" => "application/andrew-inset",
            "gtar" => "application/x-gtar",
			"hdf" => "application/x-hdf",
			"hqx" => "application/mac-binhex40",
			"htm" => "text/html",
			"html" => "text/html",
			"ice" => "x-conference-xcooltalk",
			"iges" => "model/iges",
			"igs" => "model/iges",
            "js" => "application/x-javascript",
			"kar" => "audio/midi",
			"latex" => "application/x-latex",
			"lha" => "application/octet-stream",
			"Log" => "text/plain",
            "log" => "text/plain",
            "lzh" => "application/octet-stream",
			"man" => "application/x-troff-man",
			"me" => "application/x-troff-me",
			"mesh" => "model/mesh",
			"msh" => "model/mesh",
			"mid" => "audio/midi",
			"midi" => "audio/midi",
			"mov" => "video/quicktime",
			"movie" => "video/x-sgi-movie",
            "mxu" => "video/vnd.mpegurl",
			"mpe" => "video/mpeg",
			"mpeg" => "video/mpeg",
            "mpg" => "video/mpeg",
			"mpga" => "audio/mpeg",
			"mp2" => "audio/mpeg",
			"mp3" => "audio/mpeg",
			"ms" => "application/x-troff-ms",
			"m3u" => "audio/x-mpegurl",
			"nc" => "application/x-netcdf",
            "oda" => "application/oda",
			"pbm" => "image/x-portable-bitmap",
			"pdb" => "chemical/x-pdb",
			"pgm" => "image/x-portable-graymap",
			"pnm" => "image/x-portable-anymap",
            "ppm" => "image/x-portable-pixmap",
            "pdf" => "application/pdf",
			"pgn" => "application/x-chess-pgn",
			"php" => "text/php",
            "php3" => "text/php3",
            "ps" => "application/postscript",
			"qt" => "video/quicktime",
			"roff" => "application/x-troff",
			"sgm" => "text/sgml",
            "sgml" => "text/sgml",
			"sh" => "application/x-sh",
			"shar" => "application/x-shar",
			"skd" => "application/x-koan",
			"skm" => "application/x-koan",
			"skp" => "application/x-koan",
			"skt" => "application/x-koan",
			"silo" => "model/mesh",
			"sit" => "application/x-stuffit",
			"smi" => "application/smil",
			"smil" => "application/smil",
			"snd" => "audio/basic",
			"so" => "application/octet-stream",
			"spl" => "application/x-futuresplash",
			"src" => "application/x-wais-source",
			"sv4cpio" => "application/x-sv4cpio",
			"sv4crc" => "application/x-sv4crc",
			"swf" => "application/x-shockwave-flash",
			"ra" => "audio/x-realaudio",
			"ram" => "audio/x-pn-realaudio",
			"rar" => "application/x-rar-compressed",
			"ras" => "image/x-cmu-raster",
			"rgb" => "image/x-rgb",
			"rm" => "audio/x-pn-realaudio",
			"rpm" => "audio/x-pn-realaudio-plugin",
			"rtf" => "text/rtf",
            "rtx" => "text/richtext",
			"t" => "application/x-troff",
			"tar" => "application/x-tar",
			"tar.gz" => "application/x-gzip",
            "tcl" => "application/x-tcl",
            "tex" => "application/x-tex",
            "texinfo" => "application/x-texinfo",
            "texi" => "application/x-texinfo",
           	"tr" => "application/x-troff",
			"tsv" => "text/tab-seperated-values",
			"txt" => "text/plain",
			"ustar" => "application/x-ustar",
            "vcd" => "application/x-cdlink",
			"vrml" => "model/vrml",
            "wav" => "audio/x-wav",
			"wax" => "audio/x-windows-media",
			"wbxml" => "application/vnd.wap.wbxml",
			"wma" => "audio/x-ms-wma",
			"wm" => "video/x-ms-wm", 
			"wmd" => "application/x-ms-wmd",
			"wml" => "text/vnd.wap.wml",
			"wmlc" => "application/vnd.wap.wmlc",
			"wmls" => "text/vnd.wap.wmlscript",
            "wmlsc" => "application/vnd.wap.wmlscriptc",
			"wmx" => "video/x-ms-wmx",
			"wmv" => "video/x-ms-wmv",
			"wmz" => "application/x-ms-wmz",
			"wrl" => "model/vrml",
            "wvx" => "video/x-ms-wvx",
			"xbm" => "image/x-xbitmap",
            "xpm" => "image/x-xpixmap",
            "xht" => "application/xhtml+xml",
			"xhtml" => "application/xhtml+xml",
			"XM" => "audio/fasttracker",
			"xml" => "text/xml",
			"xsl" => "text/xml",
			"xwd" => "image/x-windowdump",
			"xyz" => "chemical/x-xyz",
            "zip" => "application/zip",
            "Zip" => "application/zip", 
            "unknown" => "application/octet-stream");

$modversion['config'][15]['name'] = 'submissions';
$modversion['config'][15]['title'] = '_MI_MYDOWNLOADS_ALLOWSUBMISS';
$modversion['config'][15]['description'] = '_MI_MYDOWNLOADS_ALLOWSUBMISSDSC';
$modversion['config'][15]['formtype'] = 'yesno';
$modversion['config'][15]['valuetype'] = 'int';
$modversion['config'][15]['default'] = 1;

$modversion['config'][16]['name'] = 'useruploads';
$modversion['config'][16]['title'] = '_MI_MYDOWNLOADS_ALLOWUPLOADS';
$modversion['config'][16]['description'] = '_MI_MYDOWNLOADS_ALLOWUPLOADSDSC';
$modversion['config'][16]['formtype'] = 'yesno';
$modversion['config'][16]['valuetype'] = 'int';
$modversion['config'][16]['default'] = 0;

$modversion['config'][17]['name'] = 'screenshots';
$modversion['config'][17]['title'] = '_MI_MYDOWNLOADS_SCREENSHOTS';
$modversion['config'][17]['description'] = '_MI_MYDOWNLOADS_SCREENSHOTSDSC';
$modversion['config'][17]['formtype'] = 'textbox';
$modversion['config'][17]['valuetype'] = 'text';
$modversion['config'][17]['default'] = 'modules/mydownloads/images/shots';

$modversion['config'][18]['name'] = 'catimage';
$modversion['config'][18]['title'] = '_MI_MYDOWNLOADS_CATEGORYIMG';
$modversion['config'][18]['description'] = '_MI_MYDOWNLOADS_CATEGORYIMGDSC';
$modversion['config'][18]['formtype'] = 'textbox';
$modversion['config'][18]['valuetype'] = 'text';
$modversion['config'][18]['default'] = 'modules/mydownloads/images/category';

$modversion['config'][19]['name'] = 'usergroups';
$modversion['config'][19]['title'] = '_MI_MYDOWNLOADS_ALLOWGROUPS';
$modversion['config'][19]['description'] = '_MI_MYDOWNLOADS_ALLOWGROUPSDSC';
$modversion['config'][19]['formtype'] = 'yesno';
$modversion['config'][19]['valuetype'] = 'int';
$modversion['config'][19]['default'] = 1;			

$modversion['config'][20]['name'] = 'anonvotes';
$modversion['config'][20]['title'] = '_MI_MYDOWNLOADS_ANONVOTES';
$modversion['config'][20]['description'] = '';
$modversion['config'][20]['formtype'] = 'yesno';
$modversion['config'][20]['valuetype'] = 'int';
$modversion['config'][20]['default'] = 0;

$modversion['config'][21]['name'] = 'limitdl';
$modversion['config'][21]['title'] = '_MI_MYDOWNLOADS_LIMITDL';
$modversion['config'][21]['description'] = '_MI_MYDOWNLOADS_LIMITDLDSC';
$modversion['config'][21]['formtype'] = 'yesno';
$modversion['config'][21]['valuetype'] = 'int';
$modversion['config'][21]['default'] = 0;

$modversion['config'][22]['name'] = 'limitnumber';
$modversion['config'][22]['title'] = '_MI_MYDOWNLOADS_LIMITNUMBER';
$modversion['config'][22]['description'] = '_MI_MYDOWNLOADS_LIMITNUMBERDSC';
$modversion['config'][22]['formtype'] = 'textbox';
$modversion['config'][22]['valuetype'] = 'text';
$modversion['config'][22]['default'] = '5';

$modversion['config'][23]['name'] = 'groupnolimit';
$modversion['config'][23]['title'] = '_MI_MYDOWNLOADS_GROUPNOLIMIT';
$modversion['config'][23]['description'] = '_MI_MYDOWNLOADS_GROUPNLIMITDSC';
$modversion['config'][23]['formtype'] = 'group_multi';
$modversion['config'][23]['valuetype'] = 'array';
$modversion['config'][23]['default'] = '1';

$modversion['config'][24]['name'] = 'whitelistmembers';
$modversion['config'][24]['title'] = '_MI_MYDOWNLOADS_WLMEMBERS';
$modversion['config'][24]['description'] = '_MI_MYDOWNLOADS_WLMEMBERSDSC';
$modversion['config'][24]['formtype'] = 'textbox';
$modversion['config'][24]['valuetype'] = 'text';
$modversion['config'][24]['default'] = '1';

$modversion['config'][25]['name'] = 'transfertmod';
$modversion['config'][25]['title'] = '_MI_MYDOWNLOADS_TRANSFERTMOD';
$modversion['config'][25]['description'] = '_MI_MYDOWNLOADS_TRANSMODDSC';
$modversion['config'][25]['formtype'] = 'yesno';
$modversion['config'][25]['valuetype'] = 'int';
$modversion['config'][25]['default'] = 0;

$modversion['config'][26]['name'] = 'logdownloads';
$modversion['config'][26]['title'] = '_MI_MYDOWNLOADS_LOGDL';
$modversion['config'][26]['description'] = '_MI_MYDOWNLOADS_LOGDLDSC';
$modversion['config'][26]['formtype'] = 'yesno';
$modversion['config'][26]['valuetype'] = 'int';
$modversion['config'][26]['default'] = 1;

// Notification
$modversion['hasNotification'] = 1;
$modversion['notification']['lookup_file'] = 'include/notification.inc.php';
$modversion['notification']['lookup_func'] = 'mydownloads_notify_iteminfo';

$modversion['notification']['category'][1]['name'] = 'global';
$modversion['notification']['category'][1]['title'] = _MI_MYDOWNLOADS_GLOBAL_NOTIFY;
$modversion['notification']['category'][1]['description'] = _MI_MYDOWNLOADS_GLOBAL_NOTIFYDSC;                                                     
$modversion['notification']['category'][1]['subscribe_from'] = array('index.php','viewcat.php','singlefile.php');
                                                              
$modversion['notification']['category'][2]['name'] = 'category';
$modversion['notification']['category'][2]['title'] = _MI_MYDOWNLOADS_CATEGORY_NOTIFY;
$modversion['notification']['category'][2]['description'] = _MI_MYDOWNLOADS_CATEGORY_NOTIFYDSC;
$modversion['notification']['category'][2]['subscribe_from'] = array('viewcat.php', 'singlefile.php');
$modversion['notification']['category'][2]['item_name'] = 'cid';
$modversion['notification']['category'][2]['allow_bookmark'] = 1;

$modversion['notification']['category'][3]['name'] = 'file';
$modversion['notification']['category'][3]['title'] = _MI_MYDOWNLOADS_FILE_NOTIFY;
$modversion['notification']['category'][3]['description'] = _MI_MYDOWNLOADS_FILE_NOTIFYDSC;
$modversion['notification']['category'][3]['subscribe_from'] = 'singlefile.php';
$modversion['notification']['category'][3]['item_name'] = 'lid';
$modversion['notification']['category'][3]['allow_bookmark'] = 1;

$modversion['notification']['event'][1]['name'] = 'new_category';
$modversion['notification']['event'][1]['category'] = 'global';
$modversion['notification']['event'][1]['title'] = _MI_MYDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFY;
$modversion['notification']['event'][1]['caption'] = _MI_MYDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYCAP;
$modversion['notification']['event'][1]['description'] = _MI_MYDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYDSC;
$modversion['notification']['event'][1]['mail_template'] = 'global_newcategory_notify';
$modversion['notification']['event'][1]['mail_subject'] = _MI_MYDOWNLOADS_GLOBAL_NEWCATEGORY_NOTIFYSBJ;

$modversion['notification']['event'][2]['name'] = 'file_modify';
$modversion['notification']['event'][2]['category'] = 'global';
$modversion['notification']['event'][2]['admin_only'] = 1;
$modversion['notification']['event'][2]['title'] = _MI_MYDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFY;
$modversion['notification']['event'][2]['caption'] = _MI_MYDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYCAP;
$modversion['notification']['event'][2]['description'] = _MI_MYDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYDSC;
$modversion['notification']['event'][2]['mail_template'] = 'global_filemodify_notify';
$modversion['notification']['event'][2]['mail_subject'] = _MI_MYDOWNLOADS_GLOBAL_FILEMODIFY_NOTIFYSBJ;

$modversion['notification']['event'][3]['name'] = 'file_broken';
$modversion['notification']['event'][3]['category'] = 'global';
$modversion['notification']['event'][3]['admin_only'] = 1;
$modversion['notification']['event'][3]['title'] = _MI_MYDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFY;
$modversion['notification']['event'][3]['caption'] = _MI_MYDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYCAP;
$modversion['notification']['event'][3]['description'] = _MI_MYDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYDSC;
$modversion['notification']['event'][3]['mail_template'] = 'global_filebroken_notify';
$modversion['notification']['event'][3]['mail_subject'] = _MI_MYDOWNLOADS_GLOBAL_FILEBROKEN_NOTIFYSBJ;

$modversion['notification']['event'][4]['name'] = 'file_submit';
$modversion['notification']['event'][4]['category'] = 'global';
$modversion['notification']['event'][4]['admin_only'] = 1;
$modversion['notification']['event'][4]['title'] = _MI_MYDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFY;
$modversion['notification']['event'][4]['caption'] = _MI_MYDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYCAP;
$modversion['notification']['event'][4]['description'] = _MI_MYDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYDSC;
$modversion['notification']['event'][4]['mail_template'] = 'global_filesubmit_notify';
$modversion['notification']['event'][4]['mail_subject'] = _MI_MYDOWNLOADS_GLOBAL_FILESUBMIT_NOTIFYSBJ;

$modversion['notification']['event'][5]['name'] = 'new_file';
$modversion['notification']['event'][5]['category'] = 'global';
$modversion['notification']['event'][5]['title'] = _MI_MYDOWNLOADS_GLOBAL_NEWFILE_NOTIFY;
$modversion['notification']['event'][5]['caption'] = _MI_MYDOWNLOADS_GLOBAL_NEWFILE_NOTIFYCAP;
$modversion['notification']['event'][5]['description'] = _MI_MYDOWNLOADS_GLOBAL_NEWFILE_NOTIFYDSC;
$modversion['notification']['event'][5]['mail_template'] = 'global_newfile_notify';
$modversion['notification']['event'][5]['mail_subject'] = _MI_MYDOWNLOADS_GLOBAL_NEWFILE_NOTIFYSBJ;

$modversion['notification']['event'][6]['name'] = 'file_submit';
$modversion['notification']['event'][6]['category'] = 'category';
$modversion['notification']['event'][6]['admin_only'] = 1;
$modversion['notification']['event'][6]['title'] = _MI_MYDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFY;
$modversion['notification']['event'][6]['caption'] = _MI_MYDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYCAP;
$modversion['notification']['event'][6]['description'] = _MI_MYDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYDSC;
$modversion['notification']['event'][6]['mail_template'] = 'category_filesubmit_notify';
$modversion['notification']['event'][6]['mail_subject'] = _MI_MYDOWNLOADS_CATEGORY_FILESUBMIT_NOTIFYSBJ;

$modversion['notification']['event'][7]['name'] = 'new_file';
$modversion['notification']['event'][7]['category'] = 'category';
$modversion['notification']['event'][7]['title'] = _MI_MYDOWNLOADS_CATEGORY_NEWFILE_NOTIFY;
$modversion['notification']['event'][7]['caption'] = _MI_MYDOWNLOADS_CATEGORY_NEWFILE_NOTIFYCAP;
$modversion['notification']['event'][7]['description'] = _MI_MYDOWNLOADS_CATEGORY_NEWFILE_NOTIFYDSC;
$modversion['notification']['event'][7]['mail_template'] = 'category_newfile_notify';
$modversion['notification']['event'][7]['mail_subject'] = _MI_MYDOWNLOADS_CATEGORY_NEWFILE_NOTIFYSBJ;

$modversion['notification']['event'][8]['name'] = 'approve';
$modversion['notification']['event'][8]['category'] = 'file';
$modversion['notification']['event'][8]['invisible'] = 1;
$modversion['notification']['event'][8]['title'] = _MI_MYDOWNLOADS_FILE_APPROVE_NOTIFY;
$modversion['notification']['event'][8]['caption'] = _MI_MYDOWNLOADS_FILE_APPROVE_NOTIFYCAP;
$modversion['notification']['event'][8]['description'] = _MI_MYDOWNLOADS_FILE_APPROVE_NOTIFYDSC;
$modversion['notification']['event'][8]['mail_template'] = 'file_approve_notify';
$modversion['notification']['event'][8]['mail_subject'] = _MI_MYDOWNLOADS_FILE_APPROVE_NOTIFYSBJ;                                                 


//Ajouts pour Xoops 2.2

$modversion['pages'][1]['name'] = _MI_MYDOWNLOADS_PAGE_INDEX;
$modversion['pages'][1]['url'] = "index.php";
$modversion['pages'][2]['name'] = _MI_MYDOWNLOADS_PAGE_TOPTEN;
$modversion['pages'][2]['url'] = "topten.php";
$modversion['pages'][3]['name'] = _MI_MYDOWNLOADS_PAGE_VIEWCAT;
$modversion['pages'][3]['url'] = "viewcat.php";
$modversion['pages'][4]['name'] = _MI_MYDOWNLOADS_PAGE_SUBMIT;
$modversion['pages'][4]['url'] = "submit.php";
$modversion['pages'][5]['name'] = _MI_MYDOWNLOADS_PAGE_MODFILE;
$modversion['pages'][5]['url'] = "modfile.php";
$modversion['pages'][6]['name'] = _MI_MYDOWNLOADS_PAGE_BROCKENFILE;
$modversion['pages'][6]['url'] = "brokenfile.php";
$modversion['pages'][7]['name'] = _MI_MYDOWNLOADS_PAGE_SINGLEFILE;
$modversion['pages'][7]['url'] = "singlefile.php";
$modversion['pages'][8]['name'] = _MI_MYDOWNLOADS_PAGE_RATEFILE;
$modversion['pages'][8]['url'] = "ratefile.php";
$modversion['pages'][9]['name'] = _MI_MYDOWNLOADS_PAGE_VISIT;
$modversion['pages'][9]['url'] = "visit.php";
$modversion['pages'][10]['name'] = _MI_MYDOWNLOADS_PAGE_ERROR;
$modversion['pages'][10]['url'] = "erreur.php";
$modversion['pages'][11]['name'] = _MI_MYDOWNLOADS_PAGE_LIMIT;
$modversion['pages'][11]['url'] = "limite.php";




?>
